Subject: bug#16264: GC crash

From: Juanma Barranquero <[email-masked]>
Date: Fri, 27 Dec 2013 11:13:57 +0100

On Fri, Dec 27, 2013 at 9:12 AM, Eli Zaretskii <[email-masked]> wrote:

> Do you have the exception data printed by this code fragment in
> emacs_abort:

Alas, no.

> If not, please next time examine these 2 variables, or let Emacs
> continue from the abort, so it itself outputs the information.

This happened when Emacs wasn't being run from GDB, and after gdb -p
PID and "continue", that information didn't show.

> This
> is especially important when the backtrace shown by GDB doesn't show
> anything useful above _gnu_exception_handler, because except_addr will
> tell us which code caused the exception, and what exception was that
> (Windows maps quite a few of them to SIGSEGV).

Will try to get it next time.

    J